runner-enrollment-challenges
Operations of the Biome Host API. Paths are relative to your deployment's API host.
POST /api/biome-host-api/runtime-enrollment-challenges/{challengeRef}/exchange
Exchange a single-use runner enrollment challenge for identity material
Authentication: none
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
challengeRef | path | string | yes |
Request body: application/json ExchangeRunnerEnrollmentChallengeDto
| Status | Description | Body |
|---|---|---|
| 201 | application/json RunnerEnrollmentExchangeResponseDtoDataEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |